package formes;

import java.awt.geom.Point2D;

public class Carre implements Forme {

	private Rectangle delegue;

	public Carre(Point2D p, double taille) {
		delegue = new Rectangle(p, taille, taille);
	}

	@Override
	public Point2D centreGravite() {
		return delegue.centreGravite();
	}

	@Override
	public double perimetre() {
		return delegue.perimetre();
	}

	@Override
	public double surface() {
		return delegue.surface();
	}

	@Override
	public void placer(Point2D nouveauCentreGravite) {
		delegue.placer(nouveauCentreGravite);
	}

	@Override
	public void translater(double dx, double dy) {
		delegue.translater(dx, dy);
	}
	
	public double taille() {
		return delegue.hauteur();
	}
	
	public void changerTaille(double nouvelleTaille) {
		delegue.changerHauteur(nouvelleTaille);
		delegue.changerLargeur(nouvelleTaille);
	}

}
